Name: connexion
Version: 0.4.6
Release: alt1
BuildArch: noarch

%add_python_lib_path		%_datadir/%name
%add_python_compile_include	%_datadir/%name

Summary: Connexion project core
License: GPL
Group: Shells
Packager: Peter V. Saveliev <peet@altlinux.org>

Source0: %name.tar.gz


Requires: python-module-egenix-mx-experimental
Requires: python = %__python_version

BuildPreReq: python-devel = %__python_version

%description 
The Connexion project tries to implement both user and developer
friendly framework to create working environments by integrating
three major parts: services, modules and interfaces.

%prep
%setup -q -c %name-%version-%release

%build
rm -f Makefile
rm -f *spec

%install
install -D -m 755 %name %buildroot/%_bindir/%name
install -d -m 755 %buildroot/%_datadir/%name
install -d -m 755 %buildroot/%_datadir/%name-modules
cp -a * %buildroot/%_datadir/%name

%files
%_bindir/%name
%_datadir/%name
%dir	%_datadir/%name-modules

%changelog
* Sun Mar 23 2008 Peter V. Saveliev <peet@altlinux.org> 0.4.6-alt1
- revision 1189:
	* python 2.5 -- tested
	* swrapper constructor now accept a dict of services
	* `not_ready(command)` class
	* widget id support
	* service-side cookies support
	* use XML for ORB dumps
	* use common package cxutil

* Wed Nov 07 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt15
- revision 958:
	* support for custom names of acquired modules

* Wed Oct 31 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt14
- revision 953:
	! critical: process management exceptions catched, so, a runner does
	  not die after unsuccessful fork/exec
	! critical: output buffering fixed (affected clients in async mode)
	* recursive connexion-cli calls fixed (e.g.: `backup write`)
	* lists merge for opts()
	* debian adjustments
	* python2.5 adjustments
	* pass signal filter, if it is None


* Thu Oct 25 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt13
- revision 928:
	* run-time signal filters management
	* satellite modules
	* syntax check fix for (pmask.List | pmask.Optional)
	* new service: daemon

* Sat Oct 20 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt12
- revision 918:
	* positional+pmask.List parameters parsing fixed

* Fri Oct 19 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt11
- revision 908:
	* support for parameter lists in one command (cmd param ... param ...)
	* signal handling
	* +cmask.Signal
	* +pmask.List
	* +emask.*
	* background jobs runner thread
	* fd monitoring thread + concurrent signal jobs

* Wed Oct 10 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt10
- revision 857:
	* cleanup named parameters anyway

* Fri Oct 05 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt9
- revision 847:
	* server-side output buffer
	* check permissions while tree listing (#75)
	* correct call of subscribed nodes

* Fri Sep 28 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt8
- revision 834
	* support for multiple trees, see -w and -W parameters
	* support for transaction abort
	* fix: possible parameter string was ignored
	* new flag: StopLocals
	* shared variables (opts.shared)
	* reverse order of parameters setup

* Sat Sep 22 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt7
- services stderr polling workaround
- pmask usage
- "deprecated" warning draft works
- script support
- cleanup after node deletion
- new service: stringDB
- default values for module parameters are fixed, see syntax.py

* Sat Sep 08 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt6
- basedict as a separate package
- template commands
- state tree manager as a separate thread
- new FS layout

* Fri Jul 06 2007 Peter V. Saveliev <peet@altlinux.ru> 0.4.4-alt5
- the package will not use setproctitle for a while

* Wed Jun 20 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt4
- call mech re-coded
- default ACL changed to * for user, who started the core
- ACL registration interface

* Mon Jun 18 2007 Peter V. Saveliev <peet@altlinux.ru> 0.4.4-alt3
- credentials pass fixed

* Mon Jun 18 2007 Peter V. Saveliev <peet@altlinux.ru> 0.4.4-alt2
- `commit noexec` command
- `tree` and `transaction` commands changed

* Sun Jun 17 2007 Peter V. Saveliev <peet@altlinux.ru> 0.4.4-alt1
- code fixes (see svn history)
- empty node creation via registrator
- service /bin/sh splitted into exec, system (direct call and subshell)
- subscription fixes

* Fri May 25 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.3-alt2
- function call fixes
- empty node creation via registrator

* Tue May 22 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.3-alt1
- conditional subclasses and parameters
- flag pipe (for startup scripts)
- multipart/mixed + base64
- function calls

* Sun May 06 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.2-alt1
- syntax check
- modules acquisition
- external services
- support for multiple services in external modules
- config merging

* Tue Apr 24 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.1-alt1
- first Sisyphus build

